/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_ACTION_MENU_H__
#define __AIR_MEDIAHUB_VIEW_ACTION_MENU_H__

/* view */
#define VIEW_ACTION_MENU "VIEW_ACTION_MENU"

/* group */
#define GRP_ACTION_MENU_VIEW "group.action_menu_view"
#define GRP_ACTION_MENU_CONTENT "group.action_menu_content"
#define GRP_ACTION_NO_CONTENT "group.action_no_content"

/* part */
#define PART_ACTION_MENU "part.action_menu"
#define PART_ACTION_TV_BTN "part.action_tv_btn"
#define PART_ACTION_MORE_BTN "part.action_more_btn"
#define PART_ACTION_MENU_AREA "part.action_menu_area"
#define PART_ACTION_FAVORITE_TITLE "part.action_favorite_title"
#define PART_ACTION_FAVORITE_AREA "part.action_favorite_area"
#define PART_ACTION_NO_CONTENT_BG "part.action_no_content_bg"

#define PART_NO_CONTENT_BG "part.no_content_bg"
#define PART_NO_CONTENT_TEXT "part.no_content_text"

/* style */
#define STYLE_BTN_LIVETV "action_btn_livetv"
#define STYLE_BTN_MORE "action_btn_more"

#define STYLE_BTN_FAVORITE "action_btn_favorite"
#define STYLE_BTN_DELETE "action_btn_delete"
#define STYLE_BTN_EMPTY "action_btn_empty"

#define STYLE_GRID_MOVIE_ITEM_FAVORITE "movie_item_favorite"
#define STYLE_GRID_GALLERY_ITEM_FAVORITE "gallery_item_favorite"
#define STYLE_GRID_SONG_ITEM_FAVORITE "song_item_favorite"

/* image */
#define IMAGE_ACTION_FAVORITE_NOR "/btn_menu_favorite_nor.png"
#define IMAGE_ACTION_FAVORITE_FOC "/btn_menu_favorite_foc.png"
#define IMAGE_ACTION_FAVORITE_DIS "/btn_menu_favorite_dis.png"
#define IMAGE_ACTION_UNFAVORITE_NOR "/btn_menu_remote_favorite_nor.png"
#define IMAGE_ACTION_UNFAVORITE_FOC "/btn_menu_remote_favorite_foc.png"
#define IMAGE_ACTION_UNFAVORITE_DIS "/btn_menu_remote_favorite_dis.png"

#define IMAGE_ACTION_DELETE_NOR "/btn_menu_del_nor.png"
#define IMAGE_ACTION_DELETE_FOC "/btn_menu_del_foc.png"
#define IMAGE_ACTION_DELETE_DIS "/btn_menu_del_dis.png"

/* defines */
#define GRID_ITEM_X_MOVIE 440
#define GRID_ITEM_Y_MOVIE (328 + 32)
#define GRID_ITEM_X_GALLERY (210 + 20)
#define GRID_ITEM_Y_GALLERY (210 + 20)
#define GRID_ITEM_X_MUSIC 440
#define GRID_ITEM_Y_MUSIC (134 + 20)
#define GRID_ITEM_N_MOVIE 1
#define GRID_ITEM_N_GALLERY 2
#define GRID_ITEM_N_MUSIC 1

#define CATEGORY_MOVIE "Movie"
#define CATEGORY_GALLERY "Gallery"
#define CATEGORY_MUSIC "Music"

#endif /* __AIR_MEDIAHUB_VIEW_ACTION_MENU_H__ */
